Page MenuHomePhabricator

Move the OOUI repo to a new custom docker image for node10 and php72
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 15 2019, 9:51 PM

Change 543226 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] dockerfiles: Provide node10-test-browser-php72-composer for projects that need both PHP and Node

https://gerrit.wikimedia.org/r/543226

Change 543227 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Point OOUI experimental image at node10-test-browser-php72-composer

https://gerrit.wikimedia.org/r/543227

Change 543226 merged by jenkins-bot:
[integration/config@master] dockerfiles: Provide node10-test-browser-php72-composer for projects that need both PHP and Node

https://gerrit.wikimedia.org/r/543226

Mentioned in SAL (#wikimedia-releng) [2019-10-15T21:55:47Z] <James_F> Docker: Provide node10-test-browser-php72-composer T235570

Change 543227 merged by jenkins-bot:
[integration/config@master] jjb: Point OOUI experimental image at node10-test-browser-php72-composer

https://gerrit.wikimedia.org/r/543227

Change 543891 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: [OOUI] Move from node 6 to node 10 job

https://gerrit.wikimedia.org/r/543891

Change 543892 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Drop oojs-ui-npm-run-jenkins-node-6-docker, unused

https://gerrit.wikimedia.org/r/543892

Change 543893 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Move OOUI jobs to be withthe others in oojs.yaml

https://gerrit.wikimedia.org/r/543893

Change 543894 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Move oojs-ui-docker-publish to use node10-test-browser-php72-composer too

https://gerrit.wikimedia.org/r/543894

Change 543895 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] dockerfiles: Drop npm-test-oojsui, unused

https://gerrit.wikimedia.org/r/543895

Change 543896 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: [OOUI] Drop generic-node10-rundoc-docker and …-npmaudit-docker experiments

https://gerrit.wikimedia.org/r/543896

Change 543891 merged by jenkins-bot:
[integration/config@master] layout: [OOUI] Move from node 6 to node 10 job

https://gerrit.wikimedia.org/r/543891

Mentioned in SAL (#wikimedia-releng) [2019-10-17T16:33:12Z] <James_F> Zuul: Moving OOUI from node 6 to node 10 job T235570

Change 543902 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: [OOUI] Drop PHP70 and PHP71 testing

https://gerrit.wikimedia.org/r/543902

Change 543896 merged by jenkins-bot:
[integration/config@master] layout: [OOUI] Drop generic-node10-rundoc-docker and …-npmaudit-docker experiments

https://gerrit.wikimedia.org/r/543896

Change 543902 merged by jenkins-bot:
[integration/config@master] layout: [OOUI] Drop PHP70 and PHP71 testing

https://gerrit.wikimedia.org/r/543902

Jdforrester-WMF closed this task as Resolved.Oct 17 2019, 5:47 PM

This is done except for clean-up which is blocked by some breakage elsewhere in CI.

Change 543892 merged by jenkins-bot:
[integration/config@master] jjb: Drop oojs-ui-npm-run-jenkins-node-6-docker, unused

https://gerrit.wikimedia.org/r/543892

Change 543893 merged by jenkins-bot:
[integration/config@master] jjb: Move OOUI jobs to be withthe others in oojs.yaml

https://gerrit.wikimedia.org/r/543893

Change 543894 merged by jenkins-bot:
[integration/config@master] jjb: Move oojs-ui-docker-publish to use node10-test-browser-php72-composer too

https://gerrit.wikimedia.org/r/543894

Change 543895 merged by jenkins-bot:
[integration/config@master] dockerfiles: Drop npm-test-oojsui, unused

https://gerrit.wikimedia.org/r/543895